LISAAC(1)

NAME
lisaac - lisaac compiler

SYNOPSIS
lisaac <input_file[.li]> [Options]

DESCRIPTION
This manual page documents briefly the lisaac compiler. lisaac is the first compiled object-oriented language based on prototype concepts, with system programming facilities and design by contract. Lisaac's developers admired both Self's flexibility and dynamic inheritance, and Eiffel's static typing and design by contract features. Seeking to combine these two apparently contradictory feature sets, lisaac was created.

The lisaac compiler produces optimized ANSI C code, which can then be compiled on every architecture with an appropriate C compiler which makes lisaac a real multi-platform language. Compilation results show that it is possible to obtain executables from a high-level prototype-based language that are as fast as C programs.

OPTIONS

  -o <output_file>
Output file (default:`input_file.c')

-t <machine>
    Target code (see path.li)

-s  Statistic information

-[d|D]([+|-]|[1-20])
    Debug mode (default: `debug_level' = 0)
    `d' : Without source code.
    `D' : With source code.
    [d|D]-: `debug_level' = 5
            (Require library only)
    [d|D] : `debug_level' = 10
            (Append user assertion)
    [d|D]+: `debug_level' = 15
            (Append Ensure library)
    [d|D]n: `debug_level' = n (with 0<n<21)

-w  Warning error stop compiler

-W  All warning (deferred detect, ...)

-O  Full optimization

-i[1-5000]
    Inlining level (default : 15)

-q  Quiet operation

SEE ALSO
The program is fully documented in the directory /usr/share/doc/lisaac/html/. shorter(1)

AUTHOR
Lisaac was developed by Benoit Sonntag <sonntag@icps.u-strasbg.fr>.

This manual page was written by Xavier Oswald <x.oswald@free.fr>.